package nckd.jimin.jyyy.hr.task;

import kd.bos.context.RequestContext;
import kd.bos.exception.KDException;
import kd.bos.logging.Log;
import kd.bos.logging.LogFactory;
import kd.bos.schedule.executor.AbstractTask;
import kd.sdk.plugin.Plugin;
import nckd.jimin.jyyy.hr.task.util.SyncOAHelper;

import java.util.Map;

/**
 * 获取OA绩效数据
 * 保存至人员档案-绩效信息附表
 * 2025-07-21
 */
public class SyncPerformanceOATask extends AbstractTask implements Plugin {
    private static final Log log = LogFactory.getLog(SyncPerformanceOATask.class);
    @Override
    public void execute(RequestContext requestContext, Map<String, Object> map) throws KDException {
        log.info("-------- 开始同步OA绩效数据 --------");
        SyncOAHelper.syncPerformanceData(map);
    }
}